classification
Title: Obsolete note for default asyncio event loop on Windows
Type: Stage: resolved
Components: asyncio, Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jim.Jewett, ZackerySpytz, asvetlov, docs@python, eamanu, miss-islington, steve.dower, waszil, yselivanov
Priority: normal Keywords: patch

Created on 2020-07-06 08:10 by waszil, last changed 2020-10-19 22:30 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21360 merged ZackerySpytz, 2020-07-06 21:02
PR 22792 merged miss-islington, 2020-10-19 22:08
PR 22793 merged miss-islington, 2020-10-19 22:08
Messages (5)
msg373076 - (view) Author: Csaba Nemes (waszil) Date: 2020-07-06 08:10
In the documentation of asyncio, a Note is present in the "Running Subprocesses" section: "The default asyncio event loop on Windows does not support subprocesses", however, from 3.8 the default event loop is ProactorEventLoop on Windows, that does support subprocesses. This note should be removed.
msg373532 - (view) Author: Jim Jewett (Jim.Jewett) (Python triager) Date: 2020-07-11 18:36
Looks good to me.
msg379034 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-10-19 22:08
New changeset 4dfb190a33a1deac60306f15d52d2fe11fb93464 by Zackery Spytz in branch 'master':
bpo-41217: Fix incorrect note in the asyncio.create_subprocess_shell() docs (GH-21360)
https://github.com/python/cpython/commit/4dfb190a33a1deac60306f15d52d2fe11fb93464
msg379038 - (view) Author: miss-islington (miss-islington) Date: 2020-10-19 22:19
New changeset dc785db64d55c3d7a69b10c303e6386e87cfd01b by Miss Skeleton (bot) in branch '3.8':
bpo-41217: Fix incorrect note in the asyncio.create_subprocess_shell() docs (GH-21360)
https://github.com/python/cpython/commit/dc785db64d55c3d7a69b10c303e6386e87cfd01b
msg379043 - (view) Author: miss-islington (miss-islington) Date: 2020-10-19 22:30
New changeset b62ecc21b451d2b8e041f5367c7b563ac01bbdd8 by Miss Skeleton (bot) in branch '3.9':
bpo-41217: Fix incorrect note in the asyncio.create_subprocess_shell() docs (GH-21360)
https://github.com/python/cpython/commit/b62ecc21b451d2b8e041f5367c7b563ac01bbdd8
History
Date User Action Args
2020-10-19 22:30:42miss-islingtonsetmessages: + msg379043
2020-10-19 22:19:03miss-islingtonsetmessages: + msg379038
2020-10-19 22:12:23steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-19 22:08:54miss-islingtonsetpull_requests: + pull_request21749
2020-10-19 22:08:47miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21748
2020-10-19 22:08:40steve.dowersetnosy: + steve.dower
messages: + msg379034
2020-07-11 18:36:42Jim.Jewettsetnosy: + Jim.Jewett
messages: + msg373532
2020-07-07 00:54:05eamanusetnosy: + eamanu
2020-07-06 21:02:57ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request20505
stage: patch review
2020-07-06 08:10:51waszilcreate